cURL
curl --request PATCH \
--url https://us.infisical.com/api/v2/secret-rotations/windows-local-account/{rotationId} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"isAutoRotationEnabled": true,
"rotationInterval": 2
}
'import requests
url = "https://us.infisical.com/api/v2/secret-rotations/windows-local-account/{rotationId}"
payload = {
"name": "<string>",
"description": "<string>",
"isAutoRotationEnabled": True,
"rotationInterval": 2
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
isAutoRotationEnabled: true,
rotationInterval: 2
})
};
fetch('https://us.infisical.com/api/v2/secret-rotations/windows-local-account/{rotationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"secretRotation": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"rotationInterval": 123,
"rotationStatus": "<string>",
"lastRotationAttemptedAt": "2023-11-07T05:31:56Z",
"lastRotatedAt": "2023-11-07T05:31:56Z",
"connection": {
"app": "smb",
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"environment": {
"slug": "<string>",
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"projectId": "<string>",
"folder": {
"id": "<string>",
"path": "<string>"
},
"rotateAtUtc": {
"hours": 11.5,
"minutes": 29.5
},
"type": "windows-local-account",
"parameters": {
"username": "<string>",
"passwordRequirements": {
"length": 125.5,
"required": {
"digits": 1,
"lowercase": 1,
"uppercase": 1,
"symbols": 1
},
"allowedSymbols": "<string>"
}
},
"secretsMapping": {
"username": "<string>",
"password": "<string>"
},
"description": "<string>",
"isAutoRotationEnabled": true,
"activeIndex": 0,
"lastRotationJobId": "<string>",
"nextRotationAt": "2023-11-07T05:31:56Z",
"isLastRotationManual": true,
"lastRotationMessage": "<string>"
}
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Windows Local Account
Update
Update the specified Windows Local Account Rotation.
PATCH
/
api
/
v2
/
secret-rotations
/
windows-local-account
/
{rotationId}
cURL
Path Parameters
The ID of the Windows Local Account Rotation to be updated.
Body
application/json
The updated name of the Windows Local Account Rotation. Must be slug-friendly.
Required string length:
1 - 64The updated description of the Windows Local Account Rotation.
Maximum string length:
256Whether secrets should be automatically rotated when the specified rotation interval has elapsed.
The updated interval, in days, to automatically rotate secrets.
Required range:
x >= 1The updated hours and minutes rotation should occur at in UTC.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I